<!-- MODAL FOR FOLDER CREATION -->
<div class="modal fade" id="folderModal" tabindex="-1">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <form (submit)="submit()"> <!-- submit.. -->
      <div class="modal-header">
        <h5 class="modal-title" *ngIf="mode=='NEW'">New Folder</h5>
        <h5 class="modal-title" *ngIf="mode=='EDIT'">Edit Folder</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div><!-- end .modal-header -->
      <div class="modal-body">
	       <div class="form-group">
					<label for="">Folder Name</label>
					<input type="text" class="form-control form-control-sm" [(ngModel)]="folder.title" name="title" required minlength="3" maxlength="30">
				</div>
        <div class="form-group" style="height: 400px; overflow-y: auto">
          <label><strong>Assign a folder</strong><em class="text-secondary"> (click the folder)</em></label>
          <!-- componennt. this is a recursive component.. .. folders has been passed..  -->
          <br>
          <a (click)="selectRootFolder()"><i class="fa fa-folder"></i> /<em>(root)</em></a>
          <app-modal-folders [folders]="folders" [modalSelectedFolder]="modalSelectedFolder" ></app-modal-folders>
        </div>

        <button type="submit" class="btn btn-primary">
          Submit
        </button>
	    </div><!-- end .modal-body -->
    	</form>
    </div>
  </div>
</div>